#include <fstream>
using namespace std;
ifstream f1("dqnd.inp");
ofstream f2("dqnd.out");
long n,dem = 0;
void dn(long n)
{
    f2 << n%10;
    n = n/10;
    dem++;
    if (n > 0) return dn(n);
}
int main()
{
    f1 >> n;
    dn(n);
    f2 << endl << dem;
    return 0;
}
